User Projects

  • GET
  • /workspaces
  • /:workspace
  • /members
  • /:member_id
  • /projects

Get all projects accessible to a workspace member

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

member_idrequiredinteger
The ID of the user

Example: 456

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

statusstring
Filters projects by the specified status. Can be one of ACTIVE or CLOSED

Example: "ACTIVE"

sort_bystring
Specifies ordering. Can be one of name, create_date or repository_size

Example: "name"

sort_directionstring
Specifies the direction of the ordering. Can be one of ASC or DESC

Example: "ASC"

allstring
If set to true, returns all projects accessible to the user

Example: "true"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
projectsShortProjectView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/members/:member_id/projects" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/members/456/projects", "html_url": "https://app.buddy.works/my-company", "projects": [ { "url": "https://api.buddy.works/workspaces/my-company/projects/landing-page", "html_url": "https://app.buddy.works/my-company/landing-page", "name": "landing-page", "display_name": "Landing Page", "status": "ACTIVE", "create_date": "2023-01-15T10:30:00Z" }, { "url": "https://api.buddy.works/workspaces/my-company/projects/api-backend", "html_url": "https://app.buddy.works/my-company/api-backend", "name": "api-backend", "display_name": "API Backend Service", "status": "ACTIVE", "create_date": "2023-02-20T14:45:30Z" } ] }
STATUS
200 OK